%global pypi_name sphinxcontrib-serializinghtml

Summary:       Sphinx extension for serialized HTML
Name:          python-%{pypi_name}
Version:       1.1.5
Release:       3%{?dist}
License:       BSD
URL:           http://sphinx-doc.org/
Source0:       %{pypi_source}

BuildRequires: gettext python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-pytest python%{python3_pkgversion}-sphinx

BuildArch:     noarch

%description
sphinxcontrib-serializinghtml is a sphinx extension which outputs "serialized" HTML files (json and
pickle).

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Sphinx extension for serialized HTML

%description -n python%{python3_pkgversion}-%{pypi_name}
sphinxcontrib-serializinghtml is a sphinx extension which outputs "serialized" HTML files (json and
pickle).

%prep
%autosetup -n %{pypi_name}-%{version}
find -name '*.mo' -delete

%build
for po in $(find -name '*.po'); do
  msgfmt --output-file=${po%.po}.mo ${po}
done
%py3_build

%install
%py3_install

pushd %{buildroot}%{python3_sitelib}
for lang in `find sphinxcontrib/serializinghtml/locales -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  test $lang == __pycache__ && continue
  install -D sphinxcontrib/serializinghtml/locales/$lang/LC_MESSAGES/*.mo \
    -t %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
rm -rf sphinxcontrib/serializinghtml/locales
ln -s %{_datadir}/locale sphinxcontrib/serializinghtml/locales
popd

%find_lang sphinxcontrib.serializinghtml

%check
%pytest

%files -n python%{python3_pkgversion}-%{pypi_name} -f sphinxcontrib.serializinghtml.lang
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib/
%{python3_sitelib}/sphinxcontrib_serializinghtml-%{version}-py%{python3_version}-*.pth
%{python3_sitelib}/sphinxcontrib_serializinghtml-%{version}-py%{python3_version}.egg-info/

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.5-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Shuo Wang <abushwang@tencent.com> - 1.1.5-1
- initial build
